namespace ConsoleApp3
{
    class Program
    {
        static int Promeni(char s)
        {
            int e=0;
            if (s == 'A')  e=1;
            if (s == 'B') e= 2;
            if (s == 'C') e= 3;
            if (s == 'D') e= 4;
            if (s == 'E') e= 5;
            if (s == 'F') e = 6;
            if (s == 'G') e = 7;
            if (s == 'H') e = 8;
            if (s == 'I') e = 9;
            if (s == 'J') e = 10;
            if (s == 'K') e= 11;
            if (s == 'L') e = 12;
            if (s == 'M') e = 13;
            if (s == 'N') e = 14;
            if (s == 'O') e = 15;
            if (s == 'P') e = 16;
            if (s == 'Q') e = 17;
            if (s == 'R') e = 18;
            if (s == 'S') e = 19;
            if (s == 'T') e = 20;
            if (s == 'U') e = 21;
            if (s == 'V') e = 22;
            if (s == 'W') e = 23;
            if (s == 'X') e = 24;
            if (s == 'Y') e = 25;
            if (s == 'Z') e = 26;
            return e;
        }
        static void Main(string[] args)
        {
            long n = int.Parse(Console.ReadLine());
            string s = Console.ReadLine();
            long[] a = new long[n];
           long i = 0;
            long k = 0;
            foreach (char c in s)
            {
                a[i] = Promeni(c);
                i++;
            }
            long[] brojs = new long[26];
            for (int j = 0; j < 26; j++)
            {
                brojs[j] = 1;
            }
            for (int j = 0; j < n-1; j++)
            {
                k = j + 1;
                if (a[j]==a[k])
                {
                    brojs[a[j] - 1]++;
                }
                
            }
            long r = 1;
            for (int j = 0; j < 26; j++)
            {
                r *= brojs[j];
            }
            Console.WriteLine(r%(1000000007));
            
        }
        
    }
}